/********** Element-Bezogen **********/
pre{
    background-color: #222 !important;
    color: #aaa !important;
}

body{
	background-color: #000 !important;
	/*background: url(../view/img/Stars_BG.png) no-repeat center top #000;*/
	font-family: trebuchet, sans-serif;
	font-size: 12pt;
	
}

body * {
    color: #fff;
}

.red{
    color: #f00;
}

.green {
    color: #0f0;
}


a{
	color: #ffd53e;
}
a:hover, input:hover, select:hover, button:hover{
	color: #ff6600 !important;
}
h1, h2, h3, h4{
	text-align: center;
    margin-top: 0;
}

h3 {
    color: #ddd;
}

li {
    color: #ccc;
}

input, select, button{
	background: rgba(60,60,60, 0.75);
	color: #fff;
	border: 1px #000 solid;
	height: 20px;
}

.form-control:focus {
    border-color: #66afe9;
}
.form-control {
    background-color: #242424 !important;
    color: #fff !important;
}

.strong{
    font-weight:bold !important;
}

.a-strong > a{
    font-weight:bold !important;
}

textArea{
	font-family: trebuchet, sans-serif;
	background: rgba(60,60,60, 0.75);
	color: #fff;
	border: 1px #000 solid;
}

td{
	vertical-align: text-top;
}

.inputfile{
    width: 0.1px;
    height: 0.1px;
    opacity: 0;
    overflow: hidden;
    position: absolute;
    z-index: -1; 
}

/************ ID-Bezogen *************/

#titleBar{
	height: 100px;
}
#headBG, #btnBar{
	background: rgb(63,63,63); /* Old browsers */
	background: -moz-linear-gradient(top,  rgba(63,63,63,1) 0%, rgba(16,16,16,1) 100%); /* FF3.6+ */
	background: -webkit-gradient(linear, left top, left bottom, color-stop(0%,rgba(63,63,63,1)), color-stop(100%,rgba(16,16,16,1))); /* Chrome,Safari4+ */
	background: -webkit-linear-gradient(top,  rgba(63,63,63,1) 0%,rgba(16,16,16,1) 100%); /* Chrome10+,Safari5.1+ */
	background: -o-linear-gradient(top,  rgba(63,63,63,1) 0%,rgba(16,16,16,1) 100%); /* Opera 11.10+ */
	background: -ms-linear-gradient(top,  rgba(63,63,63,1) 0%,rgba(16,16,16,1) 100%); /* IE10+ */
	filter: progid:DXImageTransform.Microsoft.gradient( startColorstr='#3f3f3f', endColorstr='#101010',GradientType=0 ); /* IE6-9 */
}
#headBG{
	height: 60px;
}
#navigation{
	height: 40px;
	z-index: 99;
}
#navigation .navBtn, .btnY{
	position: relative;
	float: left;
	/*height: 38px;*/
}

#subNav .navBtn{
	position: relative;
	float: left;
	height: 28px;

}
#subNav .navBtn a{
	/*margin-top: 5px;*/
	font-size: 10pt;
}
#btnBar{
	height: 40px;
}
#tinFoilHat{
	clear: both;
}
#contentWrapper {
    /*background: rgba(31,31,31, 0.5);*/
    overflow-x: hidden;
    margin: 0 auto;
}
#infoBar{
	height: 40px;
	clear: both;
}
#content{
	background: rgba(31,31,31, 0);
	width: 101% !important;
    height: 100%;
	overflow-y: scroll;
	overflow-x: visible;
}
#centerContent{
	background: rgba(45, 45, 45, 0) none repeat scroll 0% 0%;
	position: relative;
	/*max-width: calc(100% - 18px);*/
	height: 100%;
	/*min-height: calc(100% + 16px);*/
	/*padding: 16px;*/
}
#ccWrapper{
	padding-left: 16px;
}
#footer{
	text-align: center;
	height: 30px;
    clear: both;
    z-index: 1;
}
#copyright{
	position: relative;
	font-size: 8pt;
	text-decoration: none;
	top: 4px;
}
#impressum {
    max-width: 600px;
    margin: 0px auto;
}

#loginForm{
	width: 320px;
}
/********* Klassen-Bezogen ***********/
.btnFull{
	width: 100%;
}
.navBtn{
	position: relative;
	float: left;
	height: 38px;
}
.navBtn{
	border-top: 1px #636363 solid;
	border-left: 1px #636363 solid;
	border-bottom: 1px #242424 solid;
	border-right: 1px #242424 solid;

	background: rgb(88,88,88); /* Old browsers */
	background: -moz-linear-gradient(top,  rgba(88,88,88,1) 0%, rgba(28,28,28,1) 100%); /* FF3.6+ */
	background: -webkit-gradient(linear, left top, left bottom, color-stop(0%,rgba(88,88,88,1)), color-stop(100%,rgba(28,28,28,1))); /* Chrome,Safari4+ */
	background: -webkit-linear-gradient(top,  rgba(88,88,88,1) 0%,rgba(28,28,28,1) 100%); /* Chrome10+,Safari5.1+ */
	background: -o-linear-gradient(top,  rgba(88,88,88,1) 0%,rgba(28,28,28,1) 100%); /* Opera 11.10+ */
	background: -ms-linear-gradient(top,  rgba(88,88,88,1) 0%,rgba(28,28,28,1) 100%); /* IE10+ */
	filter: progid:DXImageTransform.Microsoft.gradient( startColorstr='#585858', endColorstr='#1c1c1c',GradientType=0 ); /* IE6-9 */
}
.navBtn:hover{
	border-top: 1px #8e8e8e solid;
	border-bottom: 1px #242424 solid;

	background: rgb(135,135,135); /* Old browsers */
	background: -moz-linear-gradient(top,  rgba(135,135,135,1) 0%, rgba(28,28,28,1) 100%); /* FF3.6+ */
	background: -webkit-gradient(linear, left top, left bottom, color-stop(0%,rgba(135,135,135,1)), color-stop(100%,rgba(28,28,28,1))); /* Chrome,Safari4+ */
	background: -webkit-linear-gradient(top,  rgba(135,135,135,1) 0%,rgba(28,28,28,1) 100%); /* Chrome10+,Safari5.1+ */
	background: -o-linear-gradient(top,  rgba(135,135,135,1) 0%,rgba(28,28,28,1) 100%); /* Opera 11.10+ */
	background: -ms-linear-gradient(top,  rgba(135,135,135,1) 0%,rgba(28,28,28,1) 100%); /* IE10+ */
	filter: progid:DXImageTransform.Microsoft.gradient( startColorstr='#878787', endColorstr='#1c1c1c',GradientType=0 ); /* IE6-9 */
}
.pictoBtn{
	text-align: center;
	width: 24px;
	height: 24px;
}
.pictoBtnDiv img, .pictoBtn img{
	width: 14px;
	height: 14px;
}
.pictoBtn{
	border-top: 1px #636363 solid;
	border-left: 1px #636363 solid;
	border-bottom: 1px #242424 solid;
	border-right: 1px #242424 solid;

	background: rgb(88,88,88); /* Old browsers */
	background: -moz-linear-gradient(top,  rgba(88,88,88,1) 0%, rgba(28,28,28,1) 100%); /* FF3.6+ */
	background: -webkit-gradient(linear, left top, left bottom, color-stop(0%,rgba(88,88,88,1)), color-stop(100%,rgba(28,28,28,1))); /* Chrome,Safari4+ */
	background: -webkit-linear-gradient(top,  rgba(88,88,88,1) 0%,rgba(28,28,28,1) 100%); /* Chrome10+,Safari5.1+ */
	background: -o-linear-gradient(top,  rgba(88,88,88,1) 0%,rgba(28,28,28,1) 100%); /* Opera 11.10+ */
	background: -ms-linear-gradient(top,  rgba(88,88,88,1) 0%,rgba(28,28,28,1) 100%); /* IE10+ */
	filter: progid:DXImageTransform.Microsoft.gradient( startColorstr='#585858', endColorstr='#1c1c1c',GradientType=0 ); /* IE6-9 */
}
.btnY{
	/*border-top: 1px #ffd53e solid;
	border-bottom: 1px #d09300 solid;*/

	/* Permalink - use to edit and share this gradient: http://colorzilla.com/gradient-editor/#2398e0+0,072b4f+100 */
	background: rgb(35,152,224); /* Old browsers */
	/* IE9 SVG, needs conditional override of 'filter' to 'none' */
	background: url(data:image/svg+xml;base64,PD94bWwgdmVyc2lvbj0iMS4wIiA/Pgo8c3ZnIHhtbG5zPSJodHRwOi8vd3d3LnczLm9yZy8yMDAwL3N2ZyIgd2lkdGg9IjEwMCUiIGhlaWdodD0iMTAwJSIgdmlld0JveD0iMCAwIDEgMSIgcHJlc2VydmVBc3BlY3RSYXRpbz0ibm9uZSI+CiAgPGxpbmVhckdyYWRpZW50IGlkPSJncmFkLXVjZ2ctZ2VuZXJhdGVkIiBncmFkaWVudFVuaXRzPSJ1c2VyU3BhY2VPblVzZSIgeDE9IjAlIiB5MT0iMCUiIHgyPSIwJSIgeTI9IjEwMCUiPgogICAgPHN0b3Agb2Zmc2V0PSIwJSIgc3RvcC1jb2xvcj0iIzIzOThlMCIgc3RvcC1vcGFjaXR5PSIxIi8+CiAgICA8c3RvcCBvZmZzZXQ9IjEwMCUiIHN0b3AtY29sb3I9IiMwNzJiNGYiIHN0b3Atb3BhY2l0eT0iMSIvPgogIDwvbGluZWFyR3JhZGllbnQ+CiAgPHJlY3QgeD0iMCIgeT0iMCIgd2lkdGg9IjEiIGhlaWdodD0iMSIgZmlsbD0idXJsKCNncmFkLXVjZ2ctZ2VuZXJhdGVkKSIgLz4KPC9zdmc+);
	background: -moz-linear-gradient(top, rgba(35,152,224,1) 0%, rgba(7,43,79,1) 100%); /* FF3.6-15 */
	background: -webkit-linear-gradient(top, rgba(35,152,224,1) 0%,rgba(7,43,79,1) 100%); /* Chrome10-25,Safari5.1-6 */
	background: linear-gradient(to bottom, rgba(35,152,224,1) 0%,rgba(7,43,79,1) 100%); /* W3C, IE10+, FF16+, Chrome26+, Opera12+, Safari7+ */
	filter: progid:DXImageTransform.Microsoft.gradient( startColorstr='#2398e0', endColorstr='#072b4f',GradientType=0 ); /* IE6-8 */
}
.btn{
	height: 40px;
}

.btnSmall{
	height: 30px !important;
}
.pic32x32{
	width: 32px;
	height:32px;
}
.pic24x24{
	width: 24px;
	height:24px;
}
.pic20x20{
	width: 20px;
	height:20px;
	vertical-align: top;
}
.pic16x16{
	width: 16px;
	height:16px;
}
.dmgGroupDiv{
	margin: 0px auto;
	min-height: 176px;
	min-width: 262px;
	max-width: 596px;
}
.activeLink{
	color: #00bfff;
}
.dropdown-menu > .active > a,
.dropdown-menu > .active > a:hover,
.dropdown-menu > .active > a:focus {
	background-color: #333 !important;
}
.smallFont{
	font-size: 10pt;
}
.hint {
    font-size: 8pt;
    color:rgb(135,135,135);
}
td.definedValueLabel {
    height: 39px;
    vertical-align: middle;
}
td.definedValue {
    height: 39px;
}
.definedValue {
    color: rgb(135,135,135);
    padding: 6px 12px;
    font-size: 14px;
}
.rowTable {
    padding: 6px 0px;
}
.textLeft {
    text-align: left !important;
}
.textRight {
    text-align: right !important;
}
.textCenter {
    text-align: center !important;
}
.textJustify {
    text-align: justify !important;
}
.textTop{
    vertical-align:text-top !important;
}
.textMiddle{
    vertical-align: middle !important;
}
.divCenter {
    margin: 0px auto;
}
.rightFloat, .fr{
	float: right;
}
.leftFloat, .fl{
	float: left;
}
.cf{
	clear: both;
}
.w100{ width: 100%; }
.w95{ width: 95%; }
.mt5{ margin-top:    5px !important; }
.mr5{ margin-right:  5px !important; }
.mb5{ margin-bottom: 5px !important; }
.ml5{ margin-left:   5px !important; }

.mt10{ margin-top:    10px !important; }
.mr10{ margin-right:  10px !important; }
.mb10{ margin-bottom: 10px !important; }
.ml10{ margin-left:   10px !important; }

.mt15{ margin-top:    15px !important; }
.mr15{ margin-right:  15px !important; }
.mb15{ margin-bottom: 15px !important; }
.ml15{ margin-left:   15px !important; }

.mt20{ margin-top:    20px !important; }
.mr20{ margin-right:  20px !important; }
.mb20{ margin-bottom: 20px !important; }
.ml20{ margin-left:   20px !important; }

.pt10{ padding-top:    10px !important; }
.pr10{ padding-right:  10px !important; }
.pb10{ padding-bottom: 10px !important; }
.pl10{ padding-left:   10px !important; }

.inp{
	vertical-align: text-top;
}
.w320px{
	width: 320px;
}
.w150px{
	width: 150px;
}
.contentTable{
	border-spacing: 0px;
	width: 100%;
}
.contentTable td, .contentTable th{
	border: 1px #666 solid !important;
	padding: 5px;
}
.contentTable th{
	background: rgba(45, 45, 45, 0.5)
}
.trBlack{
	border-bottom: 1px #333 solid;
}
.trBlack td,.trBlack th{
	border-bottom: 1px #333 solid;
	padding-bottom: 10px;
}
.tdTextTop{
	vertical-align: top;
}
.pictoBtnDiv{
	float: left;
	border-top: 1px #636363 solid;
	border-left: 1px #636363 solid;
	border-bottom: 1px #242424 solid;
	border-right: 1px #242424 solid;

	background: rgb(88,88,88); /* Old browsers */
	background: -moz-linear-gradient(top,  rgba(88,88,88,1) 0%, rgba(28,28,28,1) 100%); /* FF3.6+ */
	background: -webkit-gradient(linear, left top, left bottom, color-stop(0%,rgba(88,88,88,1)), color-stop(100%,rgba(28,28,28,1))); /* Chrome,Safari4+ */
	background: -webkit-linear-gradient(top,  rgba(88,88,88,1) 0%,rgba(28,28,28,1) 100%); /* Chrome10+,Safari5.1+ */
	background: -o-linear-gradient(top,  rgba(88,88,88,1) 0%,rgba(28,28,28,1) 100%); /* Opera 11.10+ */
	background: -ms-linear-gradient(top,  rgba(88,88,88,1) 0%,rgba(28,28,28,1) 100%); /* IE10+ */
	filter: progid:DXImageTransform.Microsoft.gradient( startColorstr='#585858', endColorstr='#1c1c1c',GradientType=0 ); /* IE6-9 */

	text-align: center;
	width: 18px;
	height: 18px;
}

.bugTitelText{
    font-weight: bold;
    color: #ffd53e;
}

.taskImageTitle{
    width: 100px; 
    height: 20px;
    font: 8pt Arial;
    color: #9c9c9c;
    position: absolute;
    text-align: left;
    top: 3px;
    left: 3px;
}

.taskImageBox{
    width: 100px; 
    height: 123px;
    border: 1px solid #000;
    background: rgba(60,60,60, 0.75);
    position: relative;
    float: left;
    padding: 3px;
}
.taskImageBoxImage{
    position: absolute;
    top: 26px;
    height: 100px;
}
.taskRowImage{
    /*height: 100px;*/
    width: 100px;
	border: 1px solid #000;
    background: rgba(60,60,60, 0.75);
    position: relative;
    float: left;
    padding: 3px;
}

.NRETitelText{
    font-weight: bold;
    color: #bc0000;
}

.modelTitelText{
    color: #63c7da;
}

.taskPrio1{
	font-weight: bold;
	color: #bc0000;
}
.taskPrio2{
	font-weight: bold;
	color: #ffd53e;
}
.taskPrio3{
	font-weight: bold;
	color: #8BDA63;
}

.lableAsInput{
    background: rgba(60,60,60, 0.75);
    color: #fff;
    border: 1px #000 solid;
    height: 18px;
    display: block;
    font: 13.3333px Arial;
    padding-left: 3px;
    padding-top: 2px;
    padding-bottom: 0px;
    cursor: pointer;
}
.inputfile:focus + label,
.inputfile.has-focus + label {
    outline: 1px dotted #000;
    outline: -webkit-focus-ring-color auto 5px;
}

.infinity{
    font-size: 20pt;
}
/********** Spezial-Regeln ***********/
#headBG h1{
	padding-top: 10px;
}
.navBtn a{
	display: block;
	width: 135px;
	height: 30px;
	padding-top: 9px;
	font-size: 12pt;
	color: #fff;
	text-align: center;
	text-shadow: 0 0 3px #000;
	text-decoration: none;
}

.btnY a{
	height: 32px;
	margin-top: 8px;
	color: #fff;
	width: 40px;
	text-align: center;
	text-shadow: 0 0 3px #000;
	text-decoration: none;
	display: block;
}

.btnY:hover{
	/* Permalink - use to edit and share this gradient: http://colorzilla.com/gradient-editor/#68b2dd+0,072b4f+100 */
	background: rgb(104,178,221); /* Old browsers */
	/* IE9 SVG, needs conditional override of 'filter' to 'none' */
	background: url(data:image/svg+xml;base64,PD94bWwgdmVyc2lvbj0iMS4wIiA/Pgo8c3ZnIHhtbG5zPSJodHRwOi8vd3d3LnczLm9yZy8yMDAwL3N2ZyIgd2lkdGg9IjEwMCUiIGhlaWdodD0iMTAwJSIgdmlld0JveD0iMCAwIDEgMSIgcHJlc2VydmVBc3BlY3RSYXRpbz0ibm9uZSI+CiAgPGxpbmVhckdyYWRpZW50IGlkPSJncmFkLXVjZ2ctZ2VuZXJhdGVkIiBncmFkaWVudFVuaXRzPSJ1c2VyU3BhY2VPblVzZSIgeDE9IjAlIiB5MT0iMCUiIHgyPSIwJSIgeTI9IjEwMCUiPgogICAgPHN0b3Agb2Zmc2V0PSIwJSIgc3RvcC1jb2xvcj0iIzY4YjJkZCIgc3RvcC1vcGFjaXR5PSIxIi8+CiAgICA8c3RvcCBvZmZzZXQ9IjEwMCUiIHN0b3AtY29sb3I9IiMwNzJiNGYiIHN0b3Atb3BhY2l0eT0iMSIvPgogIDwvbGluZWFyR3JhZGllbnQ+CiAgPHJlY3QgeD0iMCIgeT0iMCIgd2lkdGg9IjEiIGhlaWdodD0iMSIgZmlsbD0idXJsKCNncmFkLXVjZ2ctZ2VuZXJhdGVkKSIgLz4KPC9zdmc+);
	background: -moz-linear-gradient(top, rgba(104,178,221,1) 0%, rgba(7,43,79,1) 100%); /* FF3.6-15 */
	background: -webkit-linear-gradient(top, rgba(104,178,221,1) 0%,rgba(7,43,79,1) 100%); /* Chrome10-25,Safari5.1-6 */
	background: linear-gradient(to bottom, rgba(104,178,221,1) 0%,rgba(7,43,79,1) 100%); /* W3C, IE10+, FF16+, Chrome26+, Opera12+, Safari7+ */
	filter: progid:DXImageTransform.Microsoft.gradient( startColorstr='#68b2dd', endColorstr='#072b4f',GradientType=0 ); /* IE6-8 */
}

.navbar {
    border-radius: 0px !important;
}

.categorySpan {
    border: 1px solid #555;
    border-radius: 3px;
    width: 100%;
    display: block;
    padding-left: 5px;
    opacity: 0.65;
    background-color: #393939;
}

.actionButton {
    height: 24px;
    padding: 0px !important;
}

.modal-close {
    background-repeat: no-repeat;
    display: block;
    float: right;
    width: 23px;
    height: 23px;
}

.modal-header {
    background-color: rgb(46, 46, 46);
    font-weight: bold;
    font-size: 16px;
    -webkit-border-top-left-radius: 4px !important;
    -webkit-border-top-right-radius: 4px !important;
    -moz-border-radius-topleft: 4px !important;
    -moz-border-radius-topright: 4px !important;
    border-top-left-radius: 4px !important;
    border-top-right-radius: 4px !important;
    border-bottom: 1px solid #000;
}

.modal-body {
    background-color: rgb(82, 82, 82);
}

.modal-content {
    background-color: transparent;
}
.modal-footer {
    border-style: none !important;
    background-color: rgb(46, 46, 46);
}

.modal-xl {
    width: 98% !important;
    margin-left: 1%;
    margin-right: 1%;
    background-color: #2e2e2e !important;
}

.modal-mg {
    font-size: 14px;
}

.imgButton:hover{
    cursor: pointer;
}
#gameContainer {
    width: calc(100vw - 75px) !important;
    height: calc(100vh - 175px) !important;
}

#gameContainer > canvas {
    width: 100% !important;
    height: 100% !important;
}

#sm-main-content {
    height: 760px;
    max-width: 1280px;
    position: relative;
    margin: 0px auto;
}
#sm-contentbox {
    height: 720px;
    max-width: 1280px;
    background: url(../view/img/SpaceMadness_Intro_BG.png) no-repeat left top #000;
    padding: 20px;
}
#sm-contentbox-text {
    height: 680px;
    width: 600px;
    float: right;
}

.btn-primary {
    color: #fff;
    background-color: rgb(63,63,63);
    border-color: rgb(84, 84, 84);
}

.btn-primary:hover, .btn-primary:active, .btn-primary:focus {
    color: #fff;
    background-color: #333;
    border-color: rgb(84, 84, 84);
}

.sm-text {
    float: right;
    width: 600px;
    min-width: 360px;
    height: 680px;
    text-align: justify;
}
.tt {
    padding: 10px;
    border-bottom: 1px #333 solid;
    vertical-align: top;
}

.donateButtonBox {
    margin-top: 10px;
}
.donateButtonBox input{
    background-color: transparent;
    height: 40px;
}

.sm-build-text {
    position: absolute;
    right: 20px;
    bottom: 20px;
}

.toolButton {
    float: right;
    height: 22px !important;
    width: 75px;
}

.modal-close{
    color: #b50000;
}

#fontSettings-fontStyle-name {
    /*background-color: #b50000;*/
    width: 200px;
    height: 50px;
}
#fontSettings-fontStyle-preview {
    /*background-color: #b50000;*/
    width: 200px;
    height: 50px;
    float: right;
}
#fontSettings-fontStyle-preview > img{
    float:right;
}
#fontStyle-select{
    display:block;
}

#home-image {
    max-width: 800px;
    max-height: 500px;
    margin: 0px auto;
    display: block;
}

#home-image img{
    width: 100%;
}

li > a > strong{
    color: #333;
}

li > a > strong:hover {
    color: #ff6600 !important;
    text-decoration: none;
    background-color: #f5f5f5;
}

li.active > a > strong {
    color: #fff;
    background-color: #333 !important;
}

.discord-join {
    height: 50px;
    background-color: #43B581;
    padding: 16px 12px;
    font-size: 10pt;
    border-radius: 3px;
    text-decoration: none;
    margin-left: 10px;
}
.discord-join:hover{
    background-color: #3CA374;
    text-decoration: none;
}

.namePanel {
    background-color: #333;
    border-radius: 3px;
    border: 1px solid #555;
}

.clan-button {
    text-decoration: none;
    border: 2px #313131 solid;
    border-radius: 6px;
    background-color: #222;
    color: #ff6600;
}

.clan-button:hover {
    border: 2px #565656 solid;
    background-color: #313131;
}

.alert {
    max-width: 350px;
    position: fixed;
    right: 10px;
    bottom: 10px;
}

.alert-info strong{
    color: #3f6192;
}

.alert-danger strong {
    color: #904747;
}

.alert-success strong {
    color: #4d7a48;
}

.displayPanel {
    border: 2px #444 solid;
    border-radius: 6px;
    padding: 5px;
    background-color: #222;
    margin: 0px auto;
    position: relative;
    display: block;
}

input[type=number]{
    text-align: right;
}
.faIconButton {
    cursor: pointer;
}
.faIconButton i {
    color: #ccc;
}
.searchPanel{
    max-width: 300px;
}

.dropZone {
    height: 100px;
    width: 100%;
    background-color: #333;
    border: 3px dashed #999;
    border-radius: 15px;
    text-align: center;
    padding-top: 24px;
}